Bug 436686 - System Monitor shows two Name columns
Summary: System Monitor shows two Name columns
Status: RESOLVED FIXED
Alias: None
Product: plasma-systemmonitor
Classification: Plasma
Component: general (show other bugs)
Version: unspecified
Platform: Neon Linux
: NOR normal
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-06 12:54 UTC by lnxusr
Modified: 2021-05-10 11:46 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.22


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lnxusr 2021-05-06 12:54:55 UTC
SUMMARY
System Monitor displays two Name columns in both Applications and Processes tabs.

STEPS TO REPRODUCE
1. Open System Monitor
2. Click on Applications or Processes tab


OBSERVED RESULT
The first two columns are Name.


EXPECTED RESULT
Only one Name column displayed.


SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.21
KDE Plasma Version: 5.21.5
KDE Frameworks Version: 5.81.0
Qt Version: 5.15.2
Kernel Version: 5.4.0-72-generic
OS Type: 64-bit
Graphics Platform: X11
Processors: 16 × AMD Ryzen 7 3800X 8-Core Processor
Memory: 15.6 GiB of RAM
Graphics Processor: AMD Radeon RX 5600 XT 

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2021-05-06 17:50:08 UTC
Fixed in 5.22 already! :)
Comment 2 David Redondo 2021-05-10 11:46:05 UTC
Git commit 5f35b40c6e8da2d6582fb99e50e5c3498617bc6b by David Redondo.
Committed on 10/05/2021 at 09:43.
Pushed by davidre into branch 'master'.

Make setting columnDisplay equivalent to user configuration

Do the same actions on initial load as if the user changed something
manually. This should fix all the column missing/duplication bugs and
reduces code duplication on top.

M  +12   -6    src/table/ColumnConfigurationDialog.qml

https://invent.kde.org/plasma/plasma-systemmonitor/commit/5f35b40c6e8da2d6582fb99e50e5c3498617bc6b